body {
  font-family: "Open Sans", sans-serif;
}

/* CSS reset -  
    - reset the margin and paddings to better manipulate the sizes and layout of our elements
    - browsers add a default margin and padding
*/
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

nav {
  padding: 0.8rem; /* 80% of root font size = 12.8px*/
  margin-bottom: 2rem;
  border-bottom: 1px solid gray;
}

/* descendant selector
(,) - multiple selector
*/
nav .nav,
nav .nav-logo {
  margin: 0.5rem;
  display: inline;
}

nav > ul {
  list-style-type: none;
}

/* intro section */
#intro {
  /* padding-left: 10%;
  padding-right: 10%;
  padding-top: 2rem;
  padding-bottom: 3rem; */
  /* % padding value for more responsive web design; percentage of the PARENT element*/
  padding: 2rem 10% 3rem 10%;
  text-align: center;
}

.header {
  text-align: center;
}

#intro h2,
#intro p {
  margin-bottom: 1rem;
}

#intro button {
  color: white;
  font-weight: bold;
  background-color: #c2195b;
  border-radius: 25px;
  font-size: 1rem;
  padding: 1rem;
}

/* info-section */
#succeed-info {
  padding: 2rem 10% 3rem 10%;
}

#succeed-info h2 {
  margin-bottom: 1rem;
}

/* inline vs inline-block vs block:

*/
#succeed-info .card {
  display: inline-block;
  vertical-align: top;
  /* min height - sets a min height for our elements especially if the content does not reach the  appropriate height. This will level our cards   */
  min-height: 175px;
  width: 30%;
  /*each card is 30% of its parents width; 3 cards would amount to ~33.33% of its parents width to be even, however, we have to take account for the margin set*/
  /* margin-left: 0.5rem;
  margin-right: 0.5rem; */
  margin: 0 0.5rem;
}

#succeed-info h3 {
  text-align: center;
  margin-bottom: 1rem;
}

/* pre footer section */
#pre-footer {
  padding: 1rem;
  background-color: #002540;
  color: white;
}

#pre-footer > div {
  display: inline-block;
  width: 20%;
  vertical-align: top;
}

#pre-footer > div > * {
  margin: 0.3rem 0;
}

#footer {
  padding: 0.7rem;
}

.footer-span {
  margin: 0 0.5rem;
}
